V11 Service Pack 11
Loading...

System Requirements for Private Metrics Reporting Server

The following requirements are for the Private Reporting Server package:

Operating System

Architecture

Windows

Windows 2012

 

 

Microsoft Windows Server 2012 R2 Editions

All Windows-compatible processors supported

 

Microsoft Windows Server 2012 Editions

All Windows-compatible processors supported

 

Windows 2016

 

 

Microsoft Windows Server 2016 Editions

 

Hardware Specifications

  • For large environments that have 200 or more clients across all CommCells, install Metrics Reporting Server on a separate, dedicated computer with the following specifications:
    • 500 GB of disk volume
    • 8 CPU cores
    • 32 GB RAM
  • For environments with 1 to 200 clients across all CommCells, you can install Metrics Reporting Server on one of your production CommServe computers.

Database Engine

Microsoft SQL Server 2014 Standard Edition is automatically installed during the installation of the Metrics Reporting Server software. If you have Microsoft SQL Server 2012 Enterprise Edition already installed in your environment, the Metrics Reporting Server will use the existing SQL Server.

For more information, see Database Engine under System Requirements - CommServe.

Supported Web Browsers

Apple Safari version 8.0 and later

Google Chrome version 40.0 and later

Microsoft Edge

Microsoft Internet Explorer (IE) version 10 and later

Mozilla Firefox version 36.0 and later

Miscellaneous

Apache Tomcat Server

The Apache Tomcat Server is automatically installed.

Note: Manually upgrading the Apache Tomcat Server is not supported.

IIS

Microsoft Internet Information Services (IIS) must be installed on the system drive of the Web Server. Do not install IIS on a non-system drive.

The following IIS versions are supported:

  • Microsoft Internet Information Services (IIS) Manager version 8.0 or 8.5 (on Windows 2012 only)
  • Microsoft Internet Information Services (IIS) Manager version 7.5
  • Microsoft Internet Information Services (IIS) Manager version 7.0 (on Windows 2008 only)
  • All components of Microsoft Internet Information Services (IIS) Manager version 7.0 should be installed on Windows 2008

.NET Framework Requirements

Both .NET Framework 3.5 and 4.0 are required and are automatically installed.

Note: For .NET Framework 3.5, if the server is Windows 2012 or higher, the role is only enabled during installation if the machine has an internet connection. If there is no internet connection, you must manually enable the role.

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.

Last modified: 5/18/2018 8:40:41 PM